############
## Global ##
############
global:
  groupID: "fsc-acceptance"

###########
## Chart ##
###########
outway:
  ingress:
    enabled: true
    host: outway.acc.fsc.vergunningsoftware.nl
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-prod
    tls:
      secretName: vgs-bv-nlx-outway-ingress-tls

opa:
  enabled: true

controller:
  api:
    ingress:
      enabled: true
      host: vgs-bv-fsc-nlx-controller-api.acc.fsc.vergunningsoftware.nl

manager:
  api:
    ingress:
      enabled: true
      host: vgs-bv-fsc-nlx-manager-int-api.acc.fsc.vergunningsoftware.nl

################
## Sub-charts ##
################
ca:
  certificates:
    controller-internal:
      commonName: vgs-bv-fsc-nlx-controller-api.acc.fsc.vergunningsoftware.nl
      dnsNames:
        - vergunningsoftware-bv-fsc-nlx-controller
        - vgs-bv-fsc-nlx-controller-api.acc.fsc.vergunningsoftware.nl
      issuerRef:
        name: "vergunningsoftware-bv"
    manager-internal:
      commonName: vgs-bv-fsc-nlx-manager-int-api.acc.fsc.vergunningsoftware.nl
      dnsNames:
        - vergunningsoftware-bv-fsc-nlx-manager-internal
        - vgs-bv-fsc-nlx-manager-int-api.acc.fsc.vergunningsoftware.nl
      issuerRef:
        name: "vergunningsoftware-bv"

fsc-nlx-manager:
  config:
    selfAddress: "https://vergunningsoftware-bv-fsc-nlx-manager-external:8443"
    directoryManagerAddress: "https://shared-fsc-nlx-manager-external:8443"

fsc-nlx-controller:
  config:
    authn:
      type: none
      oidc:
        discoveryUrl: https://dex.acc.fsc.vergunningsoftware.nl
        redirectUrl: https://controller.acc.fsc.vergunningsoftware.nl/oidc/callback
  ingress:
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-prod
    hosts:
      - controller.acc.fsc.vergunningsoftware.nl
    tls:
      - secretName: vergunningsoftware-bv-nlx-management-ingress-tls
        hosts:
          - controller.acc.fsc.vergunningsoftware.nl

parkeerrechten-admin-fsc:
  enabled: true
  organizationName: "Vergunningsoftware BV"
  municipalities: "Stijns"
  outwayAddress: "http://vergunningsoftware-bv-fsc-nlx-outway"
  ingress:
    enabled: true
    annotations:
      cert-manager.io/cluster-issuer: letsencrypt-prod
    hosts:
      - parkeerrechten-admin.acc.fsc.vergunningsoftware.nl
    tls:
      - secretName: vergunningsoftware-parkeerrechten-admin-fsc-ingress-tls
        hosts:
          - parkeerrechten-admin.acc.fsc.vergunningsoftware.nl

dex:
  enabled: false
  config:
    issuer: https://dex.acc.fsc.vergunningsoftware.nl
    staticClients:
      - id: nlx-controller
        name: NLX Controller
        secret: 99DbIk7FqlUYqbyD3qSX4Wmf
        redirectURIs:
          - https://controller.acc.fsc.vergunningsoftware.nl/oidc/callback
  ingress:
    annotations:
      cert-manager.io/cluster-issuer: "letsencrypt-prod"
    hosts:
      - host: dex.acc.fsc.vergunningsoftware.nl
        paths:
          - path: /
            pathType: ImplementationSpecific
    tls:
      - secretName: "vergunningsoftware-fsc-nlx-dex-ingress-tls"
        hosts:
          - "dex.acc.fsc.vergunningsoftware.nl"
